﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace PictureViewSample
{
	public partial class FormView : Form
	{
		/// <summary>
		/// StatusStripに座標、色濃度、スケールを表示する
		/// </summary>
		private void WriteProperty()
		{
			Point vl = coolPictureBox1.PixcelCoordinateOnMouse;
			int rv = (int)(coolPictureBox1.PixcelValueOnMouse.R);
			int gv = (int)(coolPictureBox1.PixcelValueOnMouse.G);
			int bv = (int)(coolPictureBox1.PixcelValueOnMouse.B);

			toolStripStatusLabel2.Text = string.Format("座標 X:{0,5:#,0} Y:{1,5:#,0}", vl.X, vl.Y);
			toolStripStatusLabel3.Text = string.Format("色濃度 R:{0,3} G:{1,3} B:{2,3} ", rv, gv, bv);

			float scl = coolPictureBox1.GetScale;
			toolStripStatusLabel1.Text = string.Format("倍率:{0:0.000}", scl);
			statusStrip1.Refresh();
		}

		public FormView()
		{
			InitializeComponent();

			toolStripStatusLabel1.Text = "";
			toolStripStatusLabel2.Text = "";
			toolStripStatusLabel3.Text = "";
		}

		private void 画像を開くOToolStripMenuItem_Click(object sender, EventArgs e)
		{
			OpenFileDialog ofd = new OpenFileDialog();
			if (ofd.ShowDialog() == DialogResult.OK)
			{
				coolPictureBox1.SetImage(ofd.FileName);
			}
		}

		private void 終了XToolStripMenuItem_Click(object sender, EventArgs e)
		{
			Application.Exit();
		}

		/// <summary>
		/// Mouse move イベント
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void coolPictureBox1_MouseMove(object sender, MouseEventArgs e)
		{
			WriteProperty();
		}

		/// <summary>
		/// Mouse wheel イベント
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void coolPictureBox1_MouseWheel(object sender, MouseEventArgs e)
		{
			WriteProperty();
		}

		/// <summary>
		/// Image copy イベント
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void coolPictureBox1_ImageCopy(object sender, CoolPictureBox.CopyEventArgs e)
		{
			Form2 fm2 = new Form2();
			fm2.coolPictureBox1.SetImage(e.ImageArgs);
			fm2.ShowDialog(this);
		}
	}
}
